Original URL: http://www.theregister.co.uk/2003/01/06/xp_audio_vuln_shout_goes/

XP audio vuln shout goes out

A word in your Shell-like

By John Leyden

Posted in Security, 6th January 2003 12:49 GMT

XP users were warned last week of a critical buffer overflow flaw in Windows Shell that can be used to run arbitrary code on victims' PCs.

The vulnerability, discovered by application security firm Foundstone, involves a fault in a Windows Shell function used to extract custom attribute information from audio files. Windows Shell provides the framework of the Windows GUI and runs the Windows Desktop, among other functions.

By this time you're probably thinking the flaw is invoked when victims run a maliciously constructed audio file in Media Player. Actually the flaw is more subtle than this, as Microsoft explains.

"An attacker could seek to exploit this vulnerability by creating an .MP3 or .WMA file that contained a corrupt custom attribute and then host it on a website, on a network share, or send it via an HTML email. If a user were to hover his or her mouse pointer over the icon for the file (either on a web page or on the local disk), or open the shared folder where the file was stored, the vulnerable code would be invoked," it warns.

The upshot is you're no better off simply previewing an infected HTML email (if you haven't applied the infamous Outlook email security update than you would be attempting to play a dodgy media file.

The end result is the same: crash (Windows Shell fails), bang (buffer overflow) and owned (attackers malicious code executes on some poor sap's XP box).

Given the ease of exploitation (despite Microsoft's customary - and this time rather thin - mitigating factors spiel) and the number of users potentially affects, Redmond sensibly deems the vulnerability as critical.

XP users are advised to apply the patch immediately, by following the links from Microsoft's advisory here.

On a related note, Foundstone last week published details of buffer overflow flaws in Nullsoft's Winamp media playing software. Separate buffer overflow vulnerabilities affect Winamp 2.81 and Winamp 3.0 but lead to the same potential problem - remote code execution. Nullsoft has released patches which users are strongly advised to apply. ®